import { Type } from '@angular/core';
import { Widget } from './widget';
import { ToggleComponent } from '../../../sculptor-lib/widgets/toggle/toggle.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
export declare class Toggle extends Widget {
    component: Type<ToggleComponent>;
    default_value: boolean;
    helpText: string;
    dependents: [];
    validityDependents: [];
    markup: string;
    value: boolean;
    name: string;
    constructor(field?: Toggle);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    newToggle(): void;
    /**function to create Toggle object with existing values
   *
   *@param field
   *
   */
    toggle(field: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): "" | "'1'" | "'0'";
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
